Weaverbird for Rhino 6

Same. Must be that we have r5 still.

Hi all,

The easiest current way to get WB working in Rhino 6 for Windows (without Rhino 5) is:

  • download the No Admin Rights / Mac zip file.
  • unblock the ZIP file. This will make sure that all content will be unblocked later (right click the file -> properties -> Unblock). If you do not do it now, you may still unblock each file later.
  • unzip all the content of the ZIP into the folder: %appdata%\Grasshopper\Libraries
  • restart Rhino and Grasshopper

Thanks

Giulio


Giulio Piacentino
for Robert McNeel & Associates
giulio@mcneel.com

8 Likes

Thank you very much Giulio!
that fixed the problem and I can now use weaverbird
Thank you!

1 Like

Hello, where can I find the folder %appdata%\Grasshopper\Libraries?

Thank you

just copy “%appdata%\Grasshopper\Libraries” into the searchbar of a file explorer and press enter

and then you will find the folder

otherwise:

Thank you!

Thank you Giulio. It worked well.

Hello,
I still have Rhino 5 and weaverbird is not working.
I don’t have the file: %appdata%\Grasshopper\Libraries
How can I install weaverbird?
I see last weaverbird for Rhino 5 installed at C\Programma Files (86)\ weaverbird

Thank you,

This is a folder. You can use File Explorer to find it. Just copy-paste the folder here:



However, because you already have Weaverbird installed, you may as well just run the Rhino Command: _GrasshopperDeveloperSettings in Rhino 6 and add a new line for C:\Program Files (x86)\Weaverbird (please check exact path).

1 Like

Thank you, the last option worked well!

It is in Grashopper but I do’nt have a tab in Rhino 6. That isn’t possible?i

error:
Unable to load plugin. The plugin does not appear to be compatible with this version of Rhino.

Thanks

Found!

Yes, Wb is only now available in Grasshopper!

3 posts were split to a new topic: Weaverbird load errors and refinement lines

Dude this helped out a lot thanks a lot

much love

Hey anyone able to work past this error
“An attempt was made to load an assembly from a network location which would have caused the assembly to be sandboxed in previous versions of the .NET Framework. This release of the .NET Framework does not enable CAS policy by default, so this load may be dangerous. If this load is not intended to sandbox the assembly, please enable the loadFromRemoteSources switch.”
Can’t figure out exactly how to enable that switch?

Did you unblock the file that you downloaded from the internet?

Hi Giulio, I have only Rhino 6., SR13, educational.
I installed WB using also the Weaverbird.Gh.Registrator.exe When starting Rhino, WB could not be loaded because “incompatibility” (?)with my Rhino version, but I got WB es expected in GH an the components work. I am attaching an image with the error message to see if you can help me. Thanks in advance, Jaime

There is no way to make Weaverbird commands work in V6-V7, because they were using an old SDK and they would have to be rewritten. Sorry. You can however use all Grasshopper components!

Dear Giulio, thank you for your answer. I thought I was doing something wrong. For me, it’s OK if I can use the WB components in GH. And thank you for sharing you tools.

1 Like